Results 1 to 5 of 5

Thread: Sencha Package Build Error

  1. #1
    Sencha User
    Join Date
    Mar 2008
    Posts
    79

    Default Sencha Package Build Error

    Hi,
    I am distributing my code using sencha packages. I have created my custom package and put all my code in this package, then in app.json require section added the package name property. It was working fine with extjs 5.x. I have upgraded my app to ext 6 from ext5.

    In Extjs 6the same thing is not working, I created new package and added javascript code in package src. While buiilding the package i am getting error ext component not found. I found some fixes on google like add package.framework=ext in package/sencha.config and in package/package.json, added toolkit:'classic' in package.json but notjing worked for me.

    Even getting same error with a new application as well

    Please suggest what else i can do????

  2. #2
    Sencha Premium Member
    Join Date
    Apr 2015
    Posts
    122
    Answers
    10

    Default

    I "fixed" kind of a similar problem by setting my code under {package-name}/classic/src/

  3. #3
    Sencha User
    Join Date
    Mar 2008
    Posts
    79

    Default

    Quote Originally Posted by A. Llorente View Post
    I "fixed" kind of a similar problem by setting my code under {package-name}/classic/src/

    Thanks for quick response. I have tried this fix, it didn't work for me. My folder hierarchy is
    {package-name}/classic/src/ mypackage/view/file.js

    I also modified the package location this is also unreachable now. I have modifed app/sencha/workspace.sencha.cfg file to change the location.

    The same structure is working fine with extjs 5. It is not working even if, i do not modify the package location.

  4. #4
    Sencha User
    Join Date
    Mar 2008
    Posts
    79

    Default

    Any suggetion.....

    Sencha package build throwing error failed to resolve dependency "Ext.ux.form.ItemSelector not found".

  5. #5
    Sencha - Sustaining Engineer tristan.lee's Avatar
    Join Date
    Mar 2015
    Location
    Central Ohio
    Posts
    1,579
    Answers
    165

    Default

    It sounds like this is happening when the modern build profile is being processed, as this class does not exist for modern toolkit.
    Tristan Lee
    Sencha Inc - Sustaining Engineer


    Having an issue? Help us help you - be detailed; provide some code; demonstrate with a fiddle (fiddle.sencha.com)

    Embed your fiddle in your post: [FIDDLE]id[/FIDDLE]

Similar Threads

  1. Error when running: sencha app build package
    By celwell in forum Sencha Cmd
    Replies: 6
    Last Post: 4 Oct 2015, 7:49 AM
  2. Version 2.1.0 Build 678 package app error with Sencha Cmd v3.0.2.288
    By T.Wen in forum Sencha Architect 2.x: Bugs
    Replies: 6
    Last Post: 19 Mar 2013, 5:25 AM
  3. Replies: 5
    Last Post: 18 Mar 2013, 7:55 AM
  4. Sencha app build native package for the android error
    By Rameshlamani in forum Sencha Touch 2.x: Discussion
    Replies: 0
    Last Post: 1 Mar 2013, 2:59 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •